
import {select,arc} from 'd3';//importing modules
const svg = select('svg');
const width = +svg.attr('width');//converting to float value
const height = +svg.attr('height');
const circle = svg.append('circle')//creating a circle
			.attr('r',220)//set radius
      .attr('cx',width/2)
      .attr('cy',height/2)//adjusting the position of cirle
      .attr('fill','gold')// filling the color of face
      .attr('stroke','black')// giving the outline
const eyeSpacing = 100;//distance between two eyes
const eyeOffset = 70;//height of eyes from the centre of circle


const leftEye = svg.append('circle')//creating a circle
			.attr('r',35)//set radius
      .attr('cx',width/2-eyeSpacing)
      .attr('cy',height/2-eyeOffset)//adjusting the position of cirle
      .attr('fill','black')// filling the color of eye
      .attr('stroke','lightblue');// giving the outline
  
      
const rightEye = svg.append('circle')//creating a circle
			.attr('r',35)//set radius
      .attr('cx',width/2+eyeSpacing)
      .attr('cy',height/2-eyeOffset)//adjusting the position of cirle
      .attr('fill','black')// filling the color of eye
      .attr('stroke','lightblue');// giving the outline

const g = svg.append('g')//define group element for correct alignment
			.attr('transform','translate(485,290)');

const mouth = g.append('path')//defining path element for mouth
      .attr('fill','black')//filling color
      .attr('stroke','brown')//giving the outline
			.attr('d',arc()({
      innerRadius : 0,
      outerRadius :140,
      startAngle :Math.PI*3/2,
      endAngle : Math.PI/2,//adjusting the position of mouth
       
      
      }));

      
